Package org.apache.sysds.runtime.io

## Class ReaderHDF5

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixReader
  - - org.apache.sysds.runtime.io.ReaderHDF5

Direct Known Subclasses:
  `ReaderHDF5Parallel`

    public class ReaderHDF5
    extends MatrixReader

### Constructor Summary

Constructors
`ReaderHDF5​(FileFormatPropertiesHDF5 props)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MatrixBlock` `computeHDF5Size​(List<org.apache.hadoop.fs.Path> files, org.apache.hadoop.fs.FileSystem fs, String datasetName)`
`static long` `readMatrixFromHDF5​(BufferedInputStream bis, String datasetName, MatrixBlock dest, int row, long rlen, long clen, int blen)`
`MatrixBlock` `readMatrixFromHDFS​(String fname, long rlen, long clen, int blen, long estnnz)`
`MatrixBlock` `readMatrixFromInputStream​(InputStream is, long rlen, long clen, int blen, long estnnz)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReaderHDF5

    public ReaderHDF5​(FileFormatPropertiesHDF5 props)

### Method Detail

#### readMatrixFromHDFS

    public MatrixBlock readMatrixFromHDFS​(String fname,
                                          long rlen,
                                          long clen,
                                          int blen,
                                          long estnnz)
                                   throws IOException,
                                          DMLRuntimeException

Specified by:
  `readMatrixFromHDFS` in class `MatrixReader`
Throws:
  `IOException`
  `DMLRuntimeException`

#### readMatrixFromInputStream

    public MatrixBlock readMatrixFromInputStream​(InputStream is,
                                                 long rlen,
                                                 long clen,
                                                 int blen,
                                                 long estnnz)
                                          throws IOException,
                                                 DMLRuntimeException

Specified by:
  `readMatrixFromInputStream` in class `MatrixReader`
Throws:
  `IOException`
  `DMLRuntimeException`

#### readMatrixFromHDF5

    public static long readMatrixFromHDF5​(BufferedInputStream bis,
                                          String datasetName,
                                          MatrixBlock dest,
                                          int row,
                                          long rlen,
                                          long clen,
                                          int blen)

#### computeHDF5Size

    public static MatrixBlock computeHDF5Size​(List<org.apache.hadoop.fs.Path> files,
                                              org.apache.hadoop.fs.FileSystem fs,
                                              String datasetName)
                                       throws IOException,
                                              DMLRuntimeException

Throws:
  `IOException`
  `DMLRuntimeException`